<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>H:\Repo\GitLab\Develop\Blazor\blazor-app-samples\BlazorWasmOracle\BWO\Shared\BWO.Shared.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <SupportedPlatform Include="browser" />
  </ItemGroup>

  <ItemGroup>
    <EditorConfigFiles Remove="H:\Repo\GitLab\Develop\Blazor\blazor-app-samples\BlazorWasmOracle\.editorconfig" />
  </ItemGroup>

  <ItemGroup>
    <EditorConfigFiles Remove="H:\Repo\GitLab\Develop\Blazor\blazor-app-samples\BlazorWasmOracle\.editorconfig" />
  </ItemGroup>

  <ItemGroup>
    <EditorConfigFiles Remove="H:\Repo\GitLab\Develop\Blazor\blazor-app-samples\BlazorWasmOracle\.editorconfig" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="stylecop.json" />
  </ItemGroup>

  <ItemGroup>
    <AdditionalFiles Include="..\..\stylecop.json" Link="stylecop.json" />
  </ItemGroup>

  <ItemGroup>
    <None Include="H:\Repo\GitLab\Develop\Blazor\blazor-app-samples\BlazorWasmOracle\.editorconfig" />
  </ItemGroup>
</Project>
